Overview

The DeviceInstaller is an all-in-one utility for detecting various devices (device servers) on a network. You can view current device parameters and make more devices available for viewing.

See also

Search for All Device Servers on the Network

Add a Device Server to the List

View Device Details


Choose the Network Adapter for Communication

By default, the primary adapter used by Windows is the network adapter used for communication with devices on the network.

To select a different adapter:

  1. From the Tools menu, select Options. The Options window opens, displaying the list of available adapters.

  2. Select the adapter by clicking its checkbox, and click Apply.

  3. To exit, click OK.

See also

Search for All Device Servers on the Network


Search for All Device Servers on the Network

Search for All Devices on the Network

To find and list all devices within the local area network:

Note: If your PC has more than one network adapter, you can select the one you want using the Options option on the Tools menu. All network communication uses whichever adapter you select.

  1. Click the Search icon [image] on the Toolbar. It may take several seconds for the list of devices to display in the device list.

Devices that do not have an IP address assigned or are configured for a different network display in red. You must assign an IP address to the device to use it.

See also

Overview

Add a Device Server to the List

View Device Details


Change Views

You can view device information in different ways.

To change how devices are identified in the device tree (left pane):

  1. You have three options:

    • To identify devices by hardware address, on the View menu, click Device Node Text>Hardware Address. This is the default.

    • To identify devices by IP address, on the View menu, click Device Node Text>IP Address.

    • To identify devices by name only, on the View menu, click Device Node Text>Name.

  2. To confirm a change for all devices, select Expand All from the View menu.

To change how devices display in the device list (right pane):

  1. You have two options:

    • To display device details, on the View menu, click Device List>Details. This is the default.

    • To display devices as icons, on the View menu, click Device List >Icons.

Note: When you click an icon, device details display in the right pane and the device expands in the hierarchy in the left pane.

See also

Search for All Device Servers on the Network

View Device Details


Add a Device to the List

As an alternative to using the Search tool to add devices to the device list, add individual devices manually to the list.

To add a device to the list manually:

  1. From the Device menu, select Add Device. The Add Device window displays.

  2. Enter the IP address for the device and click OK. DeviceInstaller searches for the device. Upon connection to the device, DeviceInstaller adds it to the device list. A message displays if DeviceInstaller does not find the device.

See also

Overview

Search for All Device Servers on the Network


View Device Details

You can use DeviceInstaller to view some of a device's current configuration settings.

Note: For a complete list of the device's configuration, please access either the Web or Telnet interface and consult the User Guide for instructions.

To view some of a device's configuration settings

  1. To view details about the device, you have the following options:

    • In the device list, double-click the device.

    • In the left pane of the window, open all levels of the hierarchy for the device type and click the IP address of the device.

The Device Details tab and the list of properties (settings) display.

Note: For information about the settings, see the User Guide for the device.

  2. To view another device, in the left pane of the window, open all levels of the hierarchy for the device type and click the IP address of the device.

See also

Search for All Device Servers on the Network

Add a Device Server to the List


Save the Device List

You can save the list of devices as a text file and restore it for later use. The text file includes the following information:

  • Device Name

  • Group

  • Comments

  • IP Address for the device

Note: The configuration of the devices in the list is not stored.

To save the device list:

  1. From the File menu, select Save As. The Save As window displays.

  2. Locate the directory in which the list will be saved.

  3. Replace the default File name (Devices1) with another name.

  4. Click Save.

See also

Open the Device List

Print the Device List


Open the Device List

To open a previously stored list of devices:

  1. From the File menu, click Open.

  2. Find the location of the stored device file list (in text format).

  3. Highlight the file name and click Open. The list of devices displays in the DeviceInstaller window.

  4. To close the list, select New from the File menu.

See also

Save the Device List

Print the Device List


Print the Device List

To print the current list of devices displayed:

  1. Open the device list.

  2. (Optional) To preview the list before printing, select Print Preview from the File Menu. Click Close to exit.

  3. From the File menu, select Print.

See also

Open the Device List

Save the Device List


Check Device Diagnostics

To determine whether a device is online and the network is functional, use the DeviceInstaller Ping option. This option ensures the device is operating and also determines the speed of a response from the device.

To ping a device:

  1. From the Tools menu, select Ping. The Ping Device window displays.

  2. In the IP Address box, enter the IP address of the device.

  3. Click Ping. After several moments, the Status area displays the ping results.

  4. To ping another device, select Clear Status to clear the Status area before entering another IP address.

  5. To exit, click Close.


Reset

Warning: Reset is a dangerous capability and is best used by power users only.

The reset option is unavailable by default. To enable the reset option, see Customize Reboots.

To reset a device:

  1. Select the device in the menu tree or Device List.

  2. From the Device menu, select Reset.

Note: After resetting the device, perform a new search to locate all the devices on the network.

See also

Customize Reboots

Search for All Device Servers on the Network


Set IP Address Manually

You can set the IP address of a device on the list or identify a device that is not on the list and set its IP address.

To set the IP Address of a Device:

  1. From the device list, select the device.

  2. On the toolbar, click Assign IP [image]. The Assign IP Address window displays.

Note: The Device Identification window prompts for the device's hardware address if a device was not selected in the previous step. Enter the hardware address from the product label and click Next.

  3. On the Assignment Method page, select Assign a specific IP address and click Next. The IP Settings page displays.

  4. On the IP settings page, enter the following information:

IP address | An IP address that will be unique and valid on your network. There is no default. Note: Enter the IP address in dot-quad notation. Do not use leading zeros in the fields for dot-quad numbers less than 100. For example, if your IP address is 172.19.201.28, do not enter 028 for the last segment.
Subnet mask | The network segment on which the device resides. There is no default. The subnet mask displays automatically based on the IP address you entered, but you can change it.
Default gateway | IP address of the router for this network.

  5. Click Next. The Assignment page displays.

  6. Click Assign to assign the IP address to the device. A status message indicates when the assignment is complete.

  7. To exit, click Finish.

See also

Set IP Address Automatically

Enter a Password (if applicable)

TCP/IP Tutorial Overview


Set IP Address Automatically

You can specify the method by which the device obtains its network settings. If you are not familiar with the specific protocols, we recommend you accept the default options.

To set the IP address if the device automatically:

  1. From the device list, select the device,

  2. On the toolbar, click Assign IP [image]. The Assign IP Address window displays.

Note: The Device Identification window prompts for the device's hardware address if a device was not selected in the previous step. Enter the hardware address from the product label and click Next.

  3. Select Obtain an IP address automatically. Click Next. The IP Discovery Settings page displays.

  4. Select the network protocol for searching and obtaining the IP address and click Next. The Assignment page displays.

Note: Not all device models support all methods, so some options may be disabled for your particular device.

  5. Click the Assign button to assign the IP address to the device. A message indicates when the assignment is complete.

  6. To exit, click the Finish button. If the device has been configured to require a username and password to set the IP address, the Password Required page displays.

See also

Set IP Address Manually

Enter a Password (if applicable)

TCP/IP Tutorial Overview


Enter a Password (if applicable)

Enter User ID and Password (if applicable)

A device may have been configured to require a user ID and password to set the IP address.

To enter a username and password:

  1. Enter your user ID and password for the specific device.

  2. Refer to the documentation for the device for information on how to change passwords.

  3. Click the Next button. The Assignment page displays.

See also

Set IP Address Manually

Set IP Address Automatically


TCP/IP Tutorial Overview

This tutorial is designed to provide the user with enough information to resolve a problem being experienced with DeviceInstaller. For more detailed information on the TCP/IP protocol, please go to www.google.com and search for RFC791, RFC950, or TCP/IP.

To further assist you in assigning an IP address to your device, you can download a freeware subnet calculator from the Internet. To locate a freeware subnet calculator, go to www.google.com and search for freeware subnet calculator.

All IP addresses and subnet masks used in this tutorial are examples. To obtain an IP address to assign to your device, please contact your network administrator.

See Also

Subnets

Auto IP Address


Subnets

If DeviceInstaller reported a subnet issue with your PC, it is because the PC’s IP address and the IP address you are trying to assign to your device are on different subnets. DeviceInstaller only assigns IP addresses on the same subnet as the PC running DeviceInstaller.

For DeviceInstaller to successfully assign an IP address to your device:

  • Your PC’s IP address and the address you want to assign to your device must be on the same subnet.

  • No routers or gateways can exist between your PC and your device. DeviceInstaller does not support assigning an IP address across a router or gateway.

To resolve this issue, configure your PC with a static IP address on the same subnet as the address you are assigning to your device. For information on configuring a static IP address in Windows, see the Windows help files. You can access Windows help files by clicking the Windows Start button and selecting Help. Search in Windows help for static IP address.

WARNING: Before you change the network settings on your PC, be sure to write them down so you can restore the settings after assigning an IP address to your device.

IP Addresses and Subnetting

To understand why DeviceInstaller is failing and how to resolve this issue, you must have some general knowledge of TCP/IP and subnetting.

IP addresses are separated into network classes. Network classes are also known as subnet classes. The letters A, B and C denote the subnet/network classes. An IP address is made up of four octets, each separated by a decimal point, as shown below:

AAA.BBB.CCC.DDD

A’s = First Octet

B’s = Second Octet

C’s = Third Octet

D’s = Fourth Octet

To check your PC’s current IP configuration on Windows 2000 or XP:

  1. Click Start --> Run.

  2. At the Open prompt, type cmd. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

To check your PC’s current IP configuration on Windows 98:

  1. Click Start --> Run.

  2. At the Open prompt, type command. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

Class A Subnets and Addresses

Class A networks use a subnet mask of 255.0.0.0. This subnet mask indicates that the first octet in each IP address on the network must be the same number. This allows network devices to communicate on the Local Area Network (LAN).

If your PC is on a class A network (meaning it’s using a subnet mask of 255.0.0.0), the first octet of your PC’s IP address and the first octet of the IP Address you are assigning to your device must be the same number.

Class A Example

Your PC is configured with the IP and subnet mask below:

10.100.110.120 – IP Address

255.0.0.0 – Subnet Mask

Your device must be assigned an IP that is:

10.xxx.xxx.xxx

where the x’s are an available IP address on the network.

Class B Networks and Addresses

Class B networks use a subnet mask of 255.255.0.0. This subnet mask indicates the first and second octet in each IP address on the network must be the same. This allows network devices to communicate on the LAN.

If your PC is on a class B network (meaning it’s using a subnet mask of 255.255.0.0), the first and second octets of your PC’s IP address and the first and second octet of the IP address you are assigning to your device must be the same numbers.

Class B Example

PC running DeviceInstaller is configured with the IP and subnet mask below:

172.16.224.55 – IP Address

255.255.0.0 – Subnet Mask

To successfully assign an IP address to a device, the IP assigned must be:

172.16.xxx.xxx

where the x’s are an available IP address on the network.

Class C Networks and Addresses

Class C networks use a subnet mask of 255.255.255.0. This subnet mask indicates the first, second and third octet in each IP address on the network must be the same. This allows network devices to communicate on the LAN.

If your PC is on a class C network (meaning it is using a subnet mask of 255.255.255.0), the first, second and third octets of your PC’s IP address and the first, second, and third octets of the IP address you are assigning to your device must be the same numbers.

Class C Example

A PC running DeviceInstaller is configured with the IP and subnet mask below:

192.168.12.155 – IP Address

255.255.255.0 – Subnet Mask

To successfully assign an IP address to a device, the IP assigned must be:

192.168.12.xxx

where the X’s are an available IP address on the network.

Complex Subnet Masks

Your PC is configured with a complex subnet mask if it is configured for a subnet mask other than three listed below:

255.0.0.0

255.255.0.0

255.255.255.0

In this case, we recommend you download a freeware TCP/IP subnet calculator. To locate a freeware subnet calculator, go to www.google.com and search for freeware subnet calculator. The subnet calculator will help ensure you assign a correct IP address to your device.

See Also

TCP/IP Tutorial Overview

Auto IP Addresses


Auto IP Addresses

If DeviceInstaller reported an Auto IP address issue, your PC is configured to obtain an IP address automatically from a server on the network. If Windows does not obtain an IP address, it defaults to an Auto-Configuration IP Address. DeviceInstaller is not be able to assign an IP address to your device if your PC is using an Auto-Configuration IP address.

To check whether your PC is using an Auto-Configuration IP address in Windows 2000 or XP:

  1. Click Start and select Run.

  2. At the Open prompt, type cmd. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

To check your PC’s current IP configuration on Windows 98:

  1. Click Start and select Run.

  2. At the Open prompt, type command. A command window opens.

  3. At the command window, type ipconfig. Your Windows TCP/IP configuration displays.

To resolve the issue:

If your PC is using an Auto-Configuration IP address, it has an IP address like 169.254.XXX.XXX, where the X’s are randomly chosen numbers. Notice that the first two octets of the IP address are 169.254, indicating an Auto-Configuration IP address.

To resolve this issue, configure your PC with a static IP address. For more information on configuring a static IP address in Windows, see the Windows help files. You can access the Windows help files by clicking the Windows Start button and selecting Help. Search in Windows help for static IP addresses.

See Also

TCP/IP Tutorial Overview

Subnets


Access the Web Interface

To access the web interface to configure a device that has a web page:

  1. From the list of devices, select the device you want to configure.

  2. Click the Web Configuration tab. The Web Configuration page displays. The device's IP address is at the top.

  3. You have two options:

    • To use the DeviceInstaller browser, click the Go button. The device's home page displays.

Note: Use the arrow buttons to navigate through the browser.

    • To use an external browser (Internet Explorer), click the Use External Browser. The device's home page displays in Internet Explorer.

  4. Consult the device's User Guide for configuration instructions.

See also

Access Telnet


Access Telnet

To Telnet to the device's configuration menu:

  1. From the list of devices, select the device you want to configure.

  2. Click the Telnet Configuration tab. The Telnet configuration screen displays.

  3. Verify that the IP address and Telnet port display at the top.

  4. Click the Connect button. The Telnet user interface displays.

  5. Within 15 seconds, enter your user ID and password for the device and press Enter.

  6. Consult the device's User Guide for configuration instructions.

See also

Access the Web Interface


Upgrade Firmware Overview

You can use DeviceInstaller to upgrade firmware on a device. There are two ways to upgrade the firmware: by using an existing Installer file or by specifying individual files.

This feature is not available on all device models. UDS, Micro, XPress, and XPort devices are supported. Refer to the user guides for other devices for appropriate instructions for upgrading.

Note: An installer file (.lxi) is created when installation settings are saved. The individual files are stored in the .lxi file for later use.

See also

Upgrade Using an Existing Installation File

Upgrade Using Individual Files


Upgrade Using Individual Files

The following table details devices that may upgrade using individual files and the file types required. A .rom file is the device’s firmware file. A .fwx is a firmware extension file. A .cob file contains the data for the device’s web pages.

Device | Upgrade
XPort | xxxx.rom, xxxx.cob
WiPort | xxxx.rom, xxxx.fwx, xxxx.cob
UDS | xxxx.rom, xxxx.cob
CoBox-FL | xxxx.rom, xxxx.cob
SDS | xxxx.rom, xxxx.cob
XPress | xxxx.rom, xxxx.cob

To create a custom installation:

  1. Select the device from the device list.

  2. Select Upgrade from the Device menu. The Device Upgrade Wizard window displays.

  3. Select the Create a custom installation by specifying individual files. Click Next.

  4. Click Browse under the Firmware (ROM) File field to open the Select ROM Firmware File window. Locate the appropriate file and click Open to set the file location path in the Device Upgrade Wizard window.

Note: For WiPort devices, repeat the previous step for setting the file location of the appropriate Firmware Extension File (.fmx) by clicking Browse under the Firmware Extension (FWX) File field.

  5. To use the existing ROM and FWX files, leave these fields blank.

  6. Click Next. The Device Upgrade Wizard prompts for the type of files to add.

  7. Select one of the following and click Next:

  • Install files individually to add files in their raw form.

  • Install files contained in COB partitions to add files in the form of COB partitions.

  • Do not copy or replace any files to continue the upgrade without loading any COB or individual files.

Install Files Individually

Instead of selecting a COB file, which contains some files like web pages, you can select these files individually, and a COB file is created internally. This file is not saved to disk.

If you selected Install files individually, the Step 4 of 7 window displays.

  1. Remove a file scheduled for installation by highlighting the filename and clicking Remove.

  2. Select Change Path to change the file location on the device.

  3. Click Next.

  4. When the upgrade is complete, select Close to exit.

Install Files Contained in COB Partitions

If you selected Install files contained in COB partitions, the Step 4 of 6 window displays.

  1. Do one of the following:

  • To set a file partition, highlight the partition in the displayed list and click Set Partition. The Select COB Archive File window displays; locate the appropriate .cob file and click Open. The files in a partition are displayed in the list.

  • To erase a file partition, select the partition and click Erase.

  • To leave a file partition intact, select the partition and click No Change.

  2. When finished, click Next.

  3. (Optional) Save the installation as a installation file (.lxi). From the Step 5 of 6 window, click Save Installation. Click Next to continue the installation, or Cancel to exit without the actual device upgrade.

The Device Upgrade Wizard window displays the status and result of the upgrade.

  4. When the upgrade is complete, select Close to exit.

Do Not Copy or Replace Any Files

If you selected Do not copy or replace any files, the Install Now page displays.

  1. Click Save Installation.

  2. When the upgrade is complete, select Close to exit.

See also

Upgrade Firmware Overview

Upgrade Using an Existing Installation File


Upgrade Using an Existing Installation File

To upgrade the firmware on a device:

  1. Select the device in the device list.

  2. Select Upgrade from the Device menu. The device upgrade Wizard window displays.

  3. To upgrade using a current installation file, select Use a specific Installation file.

  4. Click Browse to open the Select Installation File window. Locate the correct Installer file (.lxi) and click Open to set the file location path in the Device Upgrade Wizard window.

  5. Click Next to proceed with the upgrade. The Device Upgrade Wizard window displays the status and result of the upgrade.

  6. When the upgrade is complete, click Close to exit.

See also

Upgrade Firmware Overview

Upgrade Using Individual Files


Save Setup Records

You can save setup records for updating regions of flash memory on the unit. This option is not enabled if the device does not support this capability.

To save setup records:

  1. On the device list, select the device.

  2. On the File menu, select Save Setup Records. The Save Setup Records window displays.

  3. Select as many records as desired and click Save. The Save As window displays. Some setup records are unavailable.

  4. Save the setup record and name it as desired.. (You must save the records one at a time.)

See also

View Setup Record

Install Setup Records


View Setup Records

View Setup Record

You can view the contents of a setup record.

To view a setup record:

  1. From the View menu, select Setup Record File.

  2. Browse and select the desired setup record. The setup record displays.

See also

Save Setup Records

Install Setup Records


Install Setup Records

You can install previously saved setup records to upgrade the device.

To install setup records:

  1. Select the device from the device list.

  2. Select Upgrade from the Device menu or click the Upgrade icon [image]. The Device Upgrade Wizard window displays.

  3. Select the Create a custom installation by specifying individual files and click Next. The Device Upgrade Wizard prompts for the type of files to add.

Note: Some Lantronix products do not offer these options.

  4. Select Install setup records from a file.

  5. Click Browse to locate the setup record and click Next.

  6. (Optional) To save the installation as a Lantronix installation file (.lxi), click Save Installation.

  7. Click Next to continue the installation, or click Cancel to exit without the actual device upgrade.

  8. If you continue the installation, the Device Upgrade Wizard window displays the status and result of the upgrade.

Note: Green indicates a successful installation; blue indicates that the IP address has changed.

  9. Click Close.

See also

Upgrade Using Individual Files

Save Setup Records

View Setup Records


Recover Firmware

In the event of a failure, the Recover option allows for firmware installation through the serial port instead of the network.

Note: No all devices support the recovery feature. A drop-down list displays the supported devices. Ensure the firmware is the correct type before installing it over the serial port.

To install firmware over the serial port:

  1. From the Tools menu, select Advanced-->Recover Firmware. The Serial Port Firmware Upgrade displays.

  2. Power off the device. Connect a serial cable from the PC running the DeviceInstaller to the primary serial port on the device.

  3. From the Serial Port Firmware Upgrade window, choose the PC port from the Port on PC drop-down menu.

  4. Select a device type from the Device Model drop-down menu.

  5. Locate the firmware file on the PC by clicking Browse.

  6. From the Files of type drop-down menu, select the type of the firmware file. Available file types are ROM (.rom), serial program binary (.spb), or serial download binary (.sdb).

  7. Click Open. The file's path displays in the Firmware File field.

Note: Serial download binary (.sdb) files download the file temporarily into RAM. The previous firmware is restored upon reset.

  8. Click OK. The status bar in the DeviceInstaller window indicates the progress of the firmware upgrade. A confirmation box appears when the upgrade is complete.

Note: The status bar may prompt to reset the device. If this occurs, reset or toggle the power on the unit to continue with the firmware upgrade.


Customize_logging

You can customize the unit's logging features, including when to activate logging, how to change log file size, and how to view logs.

To customize logging:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the Log File section, specify the following information:

Activate logging during upgrading. | If you select this option, logging occurs while you are upgrading the unit.
Activate logging during searching. | If you select this option, logging occurs while you search for devices.
Log File | If you selected to activate logging, enter or browse to a location on your system for naming and saving the log file.
Max File Size | The maximum number of bytes (in increments of megabytes). When the file reaches this limit, the first half of the file is removed; the latter half is retained.
Viewing Program | Enter or browse to a program such as NotePad for viewing the contents of the log file.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

See also

Check Device Diagnostics


Display a Warning

DeviceInstaller can display a warning when you open a saved search and a device on the list is no longer online.

To display a warning:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the bottom section of the window, select Display a warning when devices are not found when importing from a file.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

See also

Search for All Device Servers on the Network

Open the Device List


Customize the Category Name

You can include the device version in the name, for example, XPort (R3) - firmware v6.1.0.0.

To include the device version:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the lower section of the window, select Use the Device version as part of the device category name.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

See also

Add a Device to the List


Customize Reboots

You can specify settings for the reboot process.

To enable the reset command and display it in the Device menu:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the lower part of the window, select Enable reset commands and allow them to be shown as menu items.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

To set reboot wait times:

  1. From the Tools menu, select Options. The Options window displays.

  2. Click the Customization tab.

  3. In the lower part of the window, specify the following:

Device reboot wait time (Unicast) | Select the number of seconds the unit should Unicast messages while waiting for a reboot. The unit attempts a series of unicasts before broadcasting.
Device reboot wait time (Broadcast) | Select the number of seconds the unit should broadcast messages while waiting for a reboot. The unit attempts a series of broadcasts after completing unicasts.

  4. Click Apply to save and leave the window open.

  5. Click OK to save and close the window.

Note: After rebooting, search again for other devices on the network.

See also

Reset